Bug 1282455 - [RFE] ability kick-off stuck or active serial-console connection
[RFE] ability kick-off stuck or active serial-console connection
Status: NEW
Product: ovirt-vmconsole
Classification: oVirt
Component: Host.Shell (Show other bugs)
---
x86_64 Linux
unspecified Severity high (vote)
: ---
: ---
Assigned To: Francesco Romani
Nikolai Sednev
: FutureFeature, Improvement
Depends On: 1223671
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 08:18 EST by Nikolai Sednev
Modified: 2017-09-28 04:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑future?
mgoldboi: planning_ack+
rule-engine: devel_ack?
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48981 None None None Never
oVirt gerrit 48982 None None None Never

  None (edit)
Description Nikolai Sednev 2015-11-16 08:18:13 EST
Description of problem:
Usability problem with serial-console. Unable to kick-off stuck or active serial-console connection.

In case I'm connected from one terminal towards VM over serial console and I want to get connected to the same VM from another terminal, I can't kick-off the first active or stuck session. 

Version-Release number of selected component (if applicable):
Engine:
rhevm-3.6.0.3-0.1.el6.noarch
ovirt-vmconsole-proxy-1.0.0-1.el6ev.noarch                                         
ovirt-engine-extension-aaa-jdbc-1.0.1-1.el6ev.noarch                 
ovirt-host-deploy-1.4.0-1.el6ev.noarch                                                  
ovirt-host-deploy-java-1.4.0-1.el6ev.noarch                                            
ovirt-vmconsole-1.0.0-1.el6ev.noarch

Host:
ovirt-vmconsole-host-1.0.1-0.0.master.20151105234454.git3e5d52e.el7.noarch
ovirt-release36-snapshot-001-2.noarch
ovirt-vmconsole-1.0.1-0.0.master.20151105234454.git3e5d52e.el7.noarch
ovirt-release36-001-2.noarch


How reproducible:
100%

Steps to Reproduce:
1.Connect to VM over serial-console from first terminal.
2.Try connecting from second terminal to the same VM over serial-console.
3.You can't kick-off the first active/stuck serial-console session.

Actual results:
You can't kick-off the first active/stuck serial-console session.

Expected results:
Customer should have the capability to end active/stuck serial-console session, for example if that is the same customer and he/she wants to establish serial-console connection from another terminal or he/she knows that session is stuck and would like to drop it, without waiting for the session time-out to expire.

Additional info:
Comment 1 Alon Bar-Lev 2015-11-16 08:22:31 EST
this has nothing to do with vmconsole, should be a command sent by webadmin.

again, qa should be instructed of the scope of this feature and start invest time in more productive tasks.
Comment 3 Francesco Romani 2015-12-18 04:25:36 EST
patches dropped, wrong approach.

Note You need to log in before you can comment on or make changes to this bug.